# Uses of Enum
org.apache.commons.codec.CodecPolicy

Packages that use CodecPolicy
Package
Description
org.apache.commons.codec
Interfaces and classes used by the various implementations in the sub-packages.
org.apache.commons.codec.binary
Base64, Base32, Binary, and Hexadecimal String encoding and decoding.
org.apache.commons.codec.net
Network related encoding and decoding.

- ## Uses of CodecPolicy in org.apache.commons.codec

  Methods in org.apache.commons.codec that return CodecPolicy
  Modifier and Type
  Method
  Description
  `static CodecPolicy`
  CodecPolicy.`valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CodecPolicy[]`
  CodecPolicy.`values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

- ## Uses of CodecPolicy in org.apache.commons.codec.binary

  Fields in org.apache.commons.codec.binary declared as CodecPolicy
  Modifier and Type
  Field
  Description
  `protected static final CodecPolicy`
  BaseNCodec.`DECODING_POLICY_DEFAULT`
  The default decoding policy.
  Methods in org.apache.commons.codec.binary that return CodecPolicy
  Modifier and Type
  Method
  Description
  `CodecPolicy`
  BaseNCodec.`getCodecPolicy()`
  Returns the decoding behavior policy.
  Methods in org.apache.commons.codec.binary with parameters of type CodecPolicy
  Modifier and Type
  Method
  Description
  `B`
  BaseNCodec.AbstractBuilder.`setDecodingPolicy(CodecPolicy decodingPolicy)`
  Sets the decoding policy.
  Constructors in org.apache.commons.codec.binary with parameters of type CodecPolicy
  Modifier
  Constructor
  Description
  ``
  `Base16(boolean lowerCase, CodecPolicy decodingPolicy)`
  Constructs a Base16 codec used for decoding and encoding.
  ``
  `Base16InputStream(InputStream inputStream, boolean doEncode, boolean lowerCase, CodecPolicy decodingPolicy)`
  Constructs a Base16InputStream such that all data read is either Base16-encoded or Base16-decoded from the original provided InputStream.
  ``
  `Base16OutputStream(OutputStream outputStream, boolean doEncode, boolean lowerCase, CodecPolicy decodingPolicy)`
  Constructs a Base16OutputStream such that all data written is either Hex-encoded or Hex-decoded to the original provided OutputStream.
  ``
  `Base32(int lineLength, byte[] lineSeparator, boolean useHex, byte padding, CodecPolicy decodingPolicy)`
  Constructs a Base32 / Base32 Hex codec used for decoding and encoding.
  ``
  `Base32InputStream(InputStream inputStream, boolean doEncode, int lineLength, byte[] lineSeparator, CodecPolicy decodingPolicy)`
  Constructs a Base32InputStream such that all data read is either Base32-encoded or Base32-decoded from the original provided InputStream.
  ``
  `Base32OutputStream(OutputStream outputStream, boolean doEncode, int lineLength, byte[] lineSeparator, CodecPolicy decodingPolicy)`
  Constructs a Base32OutputStream such that all data written is either Base32-encoded or Base32-decoded to the original provided OutputStream.
  ``
  `Base64(int lineLength, byte[] lineSeparator, boolean urlSafe, CodecPolicy decodingPolicy)`
  Constructs a Base64 codec used for decoding (all modes) and encoding in URL-unsafe mode.
  ``
  `Base64InputStream(InputStream inputStream, boolean doEncode, int lineLength, byte[] lineSeparator, CodecPolicy decodingPolicy)`
  Constructs a Base64InputStream such that all data read is either Base64-encoded or Base64-decoded from the original provided InputStream.
  ``
  `Base64OutputStream(OutputStream outputStream, boolean doEncode, int lineLength, byte[] lineSeparator, CodecPolicy decodingPolicy)`
  Constructs a Base64OutputStream such that all data written is either Base64-encoded or Base64-decoded to the original provided OutputStream.
  `protected`
  `BaseNCodec(int unencodedBlockSize, int encodedBlockSize, int lineLength, int chunkSeparatorLength, byte pad, CodecPolicy decodingPolicy)`
  Constructs a new instance.

- ## Uses of CodecPolicy in org.apache.commons.codec.net

  Constructors in org.apache.commons.codec.net with parameters of type CodecPolicy
  Modifier
  Constructor
  Description
  ``
  `BCodec(Charset charset, CodecPolicy decodingPolicy)`
  Constructor which allows for the selection of a default Charset.